### Function

# Gimp rgba_set_uchar

#### Declaration [src]

    void
    gimp_rgba_set_uchar (
      GimpRGB* rgba,
      guchar red,
      guchar green,
      guchar blue,
      guchar alpha
    )

#### Description [src]

Sets the red, green, blue and alpha components of `rgba` from 8bit values (0 to 255).

#### Parameters

`rgba`

  Type: `GimpRGB`

  A `GimpRGB` struct.

  The data is owned by the caller of the function.

`red`

  Type: `guchar`

  The red component.

`green`

  Type: `guchar`

  The green component.

`blue`

  Type: `guchar`

  The blue component.

`alpha`

  Type: `guchar`

  The alpha component.